> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/a.m.-football/match-data/real-time-data.md).

# Real-time data

## Real-time data

> This interface returns the scores data of the matches within 120 minutes from now(full update)\<br/>ps: The match data beyond 120 minutes is updated and will be returned synchronously\<br/>Suggest the request frequency: 2 seconds/time

```json
{"openapi":"3.0.1","info":{"title":"AM.Football API","version":"1.0.250826"},"tags":[{"name":"MATCH DATA","description":"MATCH DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/american_football/match/detail_live":{"get":{"tags":["MATCH DATA"],"description":"This interface returns the scores data of the matches within 120 minutes from now(full update)<br/>ps: The match data beyond 120 minutes is updated and will be returned synchronously<br/>Suggest the request frequency: 2 seconds/time","summary":"Real-time data","operationId":"getMatchDetailLive","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MatchDetailLive"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchDetailLive":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"score":{"$ref":"#/deps/schemas/LiveScore"},"timer":{"$ref":"#/deps/schemas/LiveTimer"},"stats":{"$ref":"#/deps/schemas/LiveStats"},"incidents":{"type":"array","description":"Match incidents","items":{"$ref":"#/components/schemas/LiveIncidents"}},"players":{"type":"object","description":"Player Statistics","properties":{"home":{"type":"array","description":"Home Team","items":{"$ref":"#/components/schemas/LivePlayers"}},"away":{"type":"array","description":"Away Team","items":{"$ref":"#/components/schemas/LivePlayers"}}}}}},"LiveIncidents":{"type":"object","description":"Data details","properties":{"type":{"type":"integer","description":"Type, see status code -> Incident Type"},"extra":{"type":"integer","description":"Type additional notes<br/>type=1(end, end point description), 1-Section One, 2-Section Two, 3-Section Three, 4-Section Four, 100-Regular Ends, 105-Overtime Ends<br/>type=2(goal, score type description), 6-Safety, 7-Extra Point, 8-Field Goal, 9-Touch Down, 10-Two Point Conversion, 0-Unknown"},"second":{"type":"integer","description":"second"},"position":{"type":"integer","description":"The incident occurred, 0-neutral, 1-home team, 2-away team"},"home_score":{"type":"integer","description":"Home team score(related to the goal incident, may not exist)"},"away_score":{"type":"integer","description":"Away team score(related to the goal incident, may not exist)"},"player_id":{"type":"string","description":"Player id(related to the goal incident, may not exist)"}}},"LivePlayers":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Player id"},"stats":{"$ref":"#/deps/schemas/LivePlayers"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"LiveScore":{"type":"array","description":"Score data<br/>example: [\"jw2r00b7xlkjrz8\", 100, 0, {\"p1\": [7, 2], \"p2\": [0, 17], \"p3\": [7, 0], \"p4\": [16, 8], \"ft\": [30, 27]}]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Match id | String |\n| `1` | Match status, please refer to Status code->Match state | Integer |\n| `2` | Batting team (stick), 1. Home team, 2. Away team, 0. Unknown | Integer |\n| `3` | Detailed instructions, as above | Not specified |\n","properties":[{"$ref":"#/deps/schemas/Score"}],"items":""},"Score":{"type":"object","description":"Score data (May be empty)<br/>ft - Regular score<br/>p* - Single inning score(* - Number of inning, 1, 2, 3...)<br/>ot - Overtime score(Contains regular scores)","properties":{"ft":{"$ref":"#/deps/schemas/MatchScore"},"p*":{"$ref":"#/deps/schemas/MatchScore"},"ot":{"$ref":"#/deps/schemas/MatchScore"}}},"MatchScore":{"type":"array","items":"","description":"**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Home team score | String |\n| `1` | Away team score | String |\n"},"LiveTimer":{"type":"array","description":"Timer data description<br/>example: [0, 0, 1730346452, 560]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Whether to run seconds, 1-yes, 0-no | Integer |\n| `1` | Whether to count down, 1-yes, 0-no | Integer |\n| `2` | Update time | Integer |\n| `3` | Remaining time of current inning (seconds) | Integer |\n","items":""},"LiveStats":{"type":"array","description":"Team Statistics<br/>example: [[0, [[61, 19, 20], [74, 5.2, 6.8]]]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Type, 0-full court, 1-first set, 2-second set, and so on | Integer |\n| `0[1]` | Nested array; see details below | Array |\n\n**Index `0[1]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[1][0]` | Nested array; see details below | Array |\n\n**Index `0[1][0]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[1][0][0]` | Statistic type, please refer to Status code->Team Statistics | Integer |\n| `0[1][0][1]` | Home team value | Integer/Float |\n| `0[1][0][2]` | Away team value | Integer/Float |\n","items":""},"LivePlayers":{"type":"array","description":"Player Statistics<br/>example: [[1, 29], [5, 8.1]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Statistic type, please refer to Status code->Player Statistics | Integer |\n| `0[1]` | Value | Integer/Float |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/a.m.-football/match-data/real-time-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
